//
// SDLImageWrapper.hpp
// gui
//
// Created by Bob Polis at 2020-10-14
// Copyright (c) 2020 SwiftCoder. All rights reserved.
//

#ifndef __SDLIMAGEWRAPPER_H_
#define __SDLIMAGEWRAPPER_H_

namespace sc {
    namespace gui {
        struct SDLImageWrapper {
            SDLImageWrapper();
            ~SDLImageWrapper();

            // prohibit copy and move
            SDLImageWrapper(const SDLImageWrapper&) = delete;
            SDLImageWrapper& operator=(const SDLImageWrapper&) = delete;
            SDLImageWrapper(SDLImageWrapper&&) = delete;
            SDLImageWrapper& operator=(SDLImageWrapper&&) = delete;
        };
    }
}

#endif // __SDLIMAGEWRAPPER_H_
