//
// SDLWrapper.hpp
// gui
//
// Created by Bob Polis at 2020-10-14
// Copyright (c) 2020 SwiftCoder. All rights reserved.
//

#ifndef __SDLWRAPPER_H_
#define __SDLWRAPPER_H_

namespace sc {
    namespace gui {
        struct SDLWrapper {
            SDLWrapper();
            ~SDLWrapper();

            // prohibit copy and move
            SDLWrapper(const SDLWrapper&) = delete;
            SDLWrapper& operator=(const SDLWrapper&) = delete;
            SDLWrapper(SDLWrapper&&) = delete;
            SDLWrapper& operator=(SDLWrapper&&) = delete;
        };
    }
}

#endif // __SDLWRAPPER_H_
